Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xni.parser
Class XMLParseException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.apache.xerces.xni.XNIException
                              |
                              +--org.apache.xerces.xni.parser.XMLParseException

All Implemented Interfaces:
  java.io.Serializable

public class XMLParseException
extends XNIException

A parsing exception. This exception is different from the standard XNI exception in that it stores the location in the document (or its entities) where the exception occurred.

Version:
  $Id: XMLParseException.java,v 1.4 2002/01/29 01:15:19 lehors Exp $
Author:
  Andy Clark, IBM
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `fBaseSystemId` Base system identifier.
`protected int` | `fColumnNumber` Column number.
`protected java.lang.String` | `fExpandedSystemId` expanded System identifier.
`protected int` | `fLineNumber` Line number.
`protected java.lang.String` | `fLiteralSystemId` literal System identifier.
`protected java.lang.String` | `fPublicId` Public identifier.

Constructor Summary
`XMLParseException(XMLLocator locator, java.lang.String message)` Constructs a parse exception.
`XMLParseException(XMLLocator locator, java.lang.String message, java.lang.Exception exception)` Constructs a parse exception.

Method Summary
`java.lang.String` | `getBaseSystemId()` Returns the base system identifier.
`int` | `getColumnNumber()` Returns the row number.
`java.lang.String` | `getExpandedSystemId()` Returns the expanded system identifier.
`int` | `getLineNumber()` Returns the line number.
`java.lang.String` | `getLiteralSystemId()` Returns the literal system identifier.
`java.lang.String` | `getPublicId()` Returns the public identifier.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class org.apache.xerces.xni.XNIException
`getException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fPublicId

    protected java.lang.String fPublicId

  Public identifier.

### fLiteralSystemId

    protected java.lang.String fLiteralSystemId

  literal System identifier.

### fExpandedSystemId

    protected java.lang.String fExpandedSystemId

  expanded System identifier.

### fBaseSystemId

    protected java.lang.String fBaseSystemId

  Base system identifier.

### fLineNumber

    protected int fLineNumber

  Line number.

### fColumnNumber

    protected int fColumnNumber

  Column number.

Constructor Detail

### XMLParseException

    public XMLParseException(XMLLocator locator,
                             java.lang.String message)

  Constructs a parse exception.

### XMLParseException

    public XMLParseException(XMLLocator locator,
                             java.lang.String message,
                             java.lang.Exception exception)

  Constructs a parse exception.

Method Detail

### getPublicId

    public java.lang.String getPublicId()

  Returns the public identifier.

### getExpandedSystemId

    public java.lang.String getExpandedSystemId()

  Returns the expanded system identifier.

### getLiteralSystemId

    public java.lang.String getLiteralSystemId()

  Returns the literal system identifier.

### getBaseSystemId

    public java.lang.String getBaseSystemId()

  Returns the base system identifier.

### getLineNumber

    public int getLineNumber()

  Returns the line number.

### getColumnNumber

    public int getColumnNumber()

  Returns the row number.

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.